=== debian/changelog ===
gnucash (1:3.0-1~15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Revert to debhelper 10 compat.
  * Revert to guile-2.0.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Apr 2018 16:49:47 -0700

gnucash (1:3.0-1) experimental; urgency=medium

  * New upstream release [April 2018]. (Closes: #892177).
  * control: removed dbus recommends, as advised by Laurent Bigonville
    (Closes: #815005).
  * Recommends: python-gnucash --> python3-gnucash.
    Thanks, Laurent Bigonville.
  * Install python examples.
    Thanks, Laurent Bigonville.
  * watch: minor pattern correction/update.
  * Build with guile-2.2-dev (Closes: #885204);
    Pass "-X.go" to dh_strip which is "Unable to recognise the format of
    the input file" of *.go files...

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 08 Apr 2018 18:14:53 +1000

gnucash (1:2.7.8-1) experimental; urgency=medium

  * New upstream release [March 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 27 Mar 2018 23:34:54 +1100

gnucash (1:2.7.7-1) experimental; urgency=medium

  * New upstream release [March 2018].

  [ Julian Wollrath <jwollrath@web.de> ]
  * Switch to Python3 (Closes: #884343).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 26 Mar 2018 01:18:37 +1100

gnucash (1:2.7.6-1) experimental; urgency=medium

  * New upstream release [March 2018].
    + fixed FTBFS on 32-bit architectures (Closes: #890317)
    Thanks, John Ralls.
  * Build-Depends:
    + libgwengui-gtk2-dev --> libgwengui-gtk3-dev (Closes: #886587)
    - libgoffice-0.10-dev
    - intltool
  * Standards-Version: 4.1.3
  * debhelper & compat to version 11.
  * watch: check GitHub for releases as well.
  * rules: override_dh_auto_test to honour "nocheck" in DEB_BUILD_OPTIONS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 14 Mar 2018 15:39:13 +1100

gnucash (1:2.7.3-1) experimental; urgency=medium

  * New upstream release [December 2017].
    * No longer depends on libwebkitgtk-1.0 (Closes: #790204)
      Thanks to John Ralls,
                Jeremy Bicha,
                Adrian Bunk,
                Micha Lenk,
                Steve Langasek,
                Laurent Bigonville.
  * Build-Depends:
    + cmake
    + googletest
    - libgoffice-0.8-dev
    + libgoffice-0.10-dev
    + libboost-dev
    + libboost-date-time-dev
    + libboost-filesystem-dev
    + libboost-locale-dev
    + libboost-regex-dev
    - libwebkitgtk-dev
    + libwebkit2gtk-4.0-dev
    - libgtk2.0-dev (>= 2.24)
    + libgtk-3-dev
    - libgnomecanvas2-dev
    + texinfo

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 07 Jan 2018 22:28:21 +1100
